# nng_random(3supp) Manual Page

## NAME

nng_random - get random number

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/util/platform.h>

    uint32_t nng_random(void);

## DESCRIPTION

The `nng_random()` returns a random number. The value returned is suitable for use with cryptographic functions such as key generation. The value is obtained using platform specific cryptographically strong random number facilities when available.

## RETURN VALUES

Random number.

## ERRORS

None.

## SEE ALSO

nng(7)